[PATCH] Re: 1.7 winbase.h (ilockcmpexch) compile error

Corinna Vinschen corinna-cygwin@cygwin.com
Thu Jul 9 08:16:00 GMT 2009


On Jul  8 17:36, Dave Korn wrote:
> Corinna Vinschen wrote:
> > On Jul  8 01:11, Dave Korn wrote:
> 
> > But seriously, I'm still using gcc 4.3.2 20080827 (alpha-testing) 1
> > for building Cygwin.  Is that sufficient for now or should I upgrade?
> 
>   That's 4.3.2-1, no?

Uh, yes.  It's the version I used to build my Linux cross compiler.

>     I've been using nothing but 4.3.2-2 for a while now.
> The problems are known, and none of them affect the Cygwin DLL:

Ok, good to know.

> - redirected gfortran IO when using libgfortran DLL
> - shared lib java completely borked
> - libstdc++ dll operators new/delete not replaceable.
> 
>   I'll have 4.3.3-1 out shortly.  

I guess that's a good time to upgrade my cross compiler as well.


Thanks,
Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat



More information about the Cygwin-patches mailing list